%kmdl iscsitarget

Summary: iSCSI Enterprise Target 
Name: iscsitarget
Version: 0.4.17
Release: 5%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/iscsitarget/
Source: http://dl.sf.net/iscsitarget/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: redhat-release
BuildRequires: openssl-devel
%kmdl_parentdependencies

%description
An open source iSCSI target with professional features,
works well in enterprise environment under real workload,
and is scalable and versatile enough to meet the challenge
of future storage needs.

%package -n %kmdl_name
%kmdl_dependencies
Summary: iscsitarget kernel driver
Group: System Environment/Kernel

%description -n %kmdl_name
An open source iSCSI target with professional features,
works well in enterprise environment under real workload,
and is scalable and versatile enough to meet the challenge
of future storage needs.

%kmdl_desc

%prep
%setup -q

perl -pi -e 's,-depmod.*,:,g' Makefile

%build
%if %{kmdl_userland}

%{__make} usr

%else

%{__make} KSRC=%{kmdl_kernelsrcdir} kernel

%endif

%install
%{__rm} -rf %{buildroot}

%if %{kmdl_userland}

%{__make} DISTDIR=$RPM_BUILD_ROOT install-usr install-etc install-man

%{__mkdir} -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d
%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/init.d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d

%else

%{__make} KSRC=%{kmdl_kernelsrcdir} DISTDIR=$RPM_BUILD_ROOT install-kernel

%{__mkdir} -p $RPM_BUILD_ROOT%{kmdl_moduledir}
%{__mv} $RPM_BUILD_ROOT%{kmdl_moduledir}/../kernel/iscsi $RPM_BUILD_ROOT%{kmdl_moduledir}

%endif

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add iscsi-target

%preun
if [ $1 -eq 0 ]; then
    /sbin/chkconfig --del iscsi-target
fi

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc COPYING README README.vmware ChangeLog
%{_sbindir}/ietd
%{_sbindir}/ietadm
%config(noreplace) %{_sysconfdir}/ietd.conf
%config(noreplace) %{_sysconfdir}/initiators.allow
%config(noreplace) %{_sysconfdir}/initiators.deny
%{_initrddir}/iscsi-target
%{_mandir}/man5/ietd.conf.5*
%{_mandir}/man8/ietadm.8*
%{_mandir}/man8/ietd.8*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/iscsi

%endif

%changelog
* Tue Sep  8 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.4.17-5
- Update to 0.4.17.

* Wed Oct 24 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.4.15-4
- Add redhat-release as a BR to trigger proper userland build/install
  behavior.

* Thu Oct 18 2007 Tom G. Christensen <swpkg@statsbiblioteket.dk> - 0.4.15-3
- Build for kernel pointed to by kmdl_kernelsrcdir instead
  of running kernel

* Fri Oct  5 2007 Tom G. Christensen <swpkg@statsbiblioteket.dk> - 0.4.15-2
- Initial build.
